<?xml version="1.0" encoding="UTF-8"?>
<module org.jetbrains.idea.maven.project.MavenProjectsManager.isMavenModule="true" type="JAVA_MODULE" version="4">
  <component name="FacetManager">
    <facet type="Spring" name="Spring">
      <configuration />
    </facet>
    <facet type="web" name="Web">
      <configuration>
        <descriptors>
          <deploymentDescriptor name="web.xml" url="file://$MODULE_DIR$/web/WEB-INF/web.xml" />
        </descriptors>
        <webroots>
          <root url="file://$MODULE_DIR$/web" relative="/" />
        </webroots>
        <sourceRoots>
          <root url="file://$MODULE_DIR$/src/main/java" />
          <root url="file://$MODULE_DIR$/src/main/resources" />
        </sourceRoots>
      </configuration>
    </facet>
  </component>
  <component name="NewModuleRootManager" LANGUAGE_LEVEL="JDK_1_8">
    <output url="file://$MODULE_DIR$/target/classes" />
    <output-test url="file://$MODULE_DIR$/target/test-classes" />
    <content url="file://$MODULE_DIR$">
      <sourceFolder url="file://$MODULE_DIR$/src/main/java" isTestSource="false" />
      <sourceFolder url="file://$MODULE_DIR$/src/main/resources" type="java-resource" />
      <sourceFolder url="file://$MODULE_DIR$/src/test/java" isTestSource="true" />
      <excludeFolder url="file://$MODULE_DIR$/target" />
    </content>
    <orderEntry type="jdk" jdkName="12" jdkType="JavaSDK" />
    <orderEntry type="sourceFolder" forTests="false" />
    <orderEntry type="library" scope="PROVIDED" name="Vaadin Client" level="project" />
    <orderEntry type="library" name="Vaadin Server" level="project" />
    <orderEntry type="library" name="Maven: org.springframework.boot:spring-boot-starter-data-jpa:2.1.8.RELEASE" level="project" />
    <orderEntry type="library" name="Maven: org.springframework.boot:spring-boot-starter-aop:2.1.8.RELEASE" level="project" />
    <orderEntry type="library" name="Maven: org.springframework:spring-aop:5.1.9.RELEASE" level="project" />
    <orderEntry type="library" name="Maven: org.aspectj:aspectjweaver:1.9.4" level="project" />
    <orderEntry type="library" name="Maven: org.springframework.boot:spring-boot-starter-jdbc:2.1.8.RELEASE" level="project" />
    <orderEntry type="library" name="Maven: com.zaxxer:HikariCP:3.2.0" level="project" />
    <orderEntry type="library" name="Maven: org.springframework:spring-jdbc:5.1.9.RELEASE" level="project" />
    <orderEntry type="library" name="Maven: javax.transaction:javax.transaction-api:1.3" level="project" />
    <orderEntry type="library" name="Maven: javax.xml.bind:jaxb-api:2.3.1" level="project" />
    <orderEntry type="library" name="Maven: javax.activation:javax.activation-api:1.2.0" level="project" />
    <orderEntry type="library" name="Maven: org.hibernate:hibernate-core:5.3.11.Final" level="project" />
    <orderEntry type="library" name="Maven: org.jboss.logging:jboss-logging:3.3.3.Final" level="project" />
    <orderEntry type="library" name="Maven: javax.persistence:javax.persistence-api:2.2" level="project" />
    <orderEntry type="library" name="Maven: org.javassist:javassist:3.23.2-GA" level="project" />
    <orderEntry type="library" name="Maven: net.bytebuddy:byte-buddy:1.9.16" level="project" />
    <orderEntry type="library" name="Maven: antlr:antlr:2.7.7" level="project" />
    <orderEntry type="library" name="Maven: org.jboss:jandex:2.0.5.Final" level="project" />
    <orderEntry type="library" name="Maven: com.fasterxml:classmate:1.4.0" level="project" />
    <orderEntry type="library" name="Maven: org.dom4j:dom4j:2.1.1" level="project" />
    <orderEntry type="library" name="Maven: org.hibernate.common:hibernate-commons-annotations:5.0.4.Final" level="project" />
    <orderEntry type="library" name="Maven: org.springframework.data:spring-data-jpa:2.1.10.RELEASE" level="project" />
    <orderEntry type="library" name="Maven: org.springframework.data:spring-data-commons:2.1.10.RELEASE" level="project" />
    <orderEntry type="library" name="Maven: org.springframework:spring-orm:5.1.9.RELEASE" level="project" />
    <orderEntry type="library" name="Maven: org.springframework:spring-context:5.1.9.RELEASE" level="project" />
    <orderEntry type="library" name="Maven: org.springframework:spring-expression:5.1.9.RELEASE" level="project" />
    <orderEntry type="library" name="Maven: org.springframework:spring-tx:5.1.9.RELEASE" level="project" />
    <orderEntry type="library" name="Maven: org.springframework:spring-beans:5.1.9.RELEASE" level="project" />
    <orderEntry type="library" name="Maven: org.slf4j:slf4j-api:1.7.28" level="project" />
    <orderEntry type="library" name="Maven: org.springframework:spring-aspects:5.1.9.RELEASE" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Maven: org.springframework.boot:spring-boot-devtools:2.1.8.RELEASE" level="project" />
    <orderEntry type="library" name="Maven: org.springframework.boot:spring-boot:2.1.8.RELEASE" level="project" />
    <orderEntry type="library" name="Maven: org.springframework.boot:spring-boot-autoconfigure:2.1.8.RELEASE" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Maven: com.h2database:h2:1.4.199" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Maven: mysql:mysql-connector-java:8.0.17" level="project" />
    <orderEntry type="library" name="Maven: org.projectlombok:lombok:1.18.8" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-spring-boot-starter:14.0.3" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-spring:12.0.4" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:flow-server:2.0.10" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin.external.gwt:gwt-elemental:2.8.2.vaadin2" level="project" />
    <orderEntry type="library" name="Maven: commons-fileupload:commons-fileupload:1.3.3" level="project" />
    <orderEntry type="library" name="Maven: commons-io:commons-io:2.5" level="project" />
    <orderEntry type="library" name="Maven: org.jsoup:jsoup:1.11.3" level="project" />
    <orderEntry type="library" name="Maven: com.helger:ph-css:6.1.1" level="project" />
    <orderEntry type="library" name="Maven: com.helger:ph-commons:9.1.2" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin.external:gentyref:1.2.0.vaadin1" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:flow-push:2.0.10" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin.external.atmosphere:atmosphere-runtime:2.4.30.slf4jvaadin1" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:flow-client:2.0.10" level="project" />
    <orderEntry type="library" name="Maven: org.springframework:spring-webmvc:5.1.9.RELEASE" level="project" />
    <orderEntry type="library" name="Maven: org.springframework:spring-websocket:5.1.9.RELEASE" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-core:14.0.3" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:flow-html-components:2.0.10" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:flow-data:2.0.10" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-lumo-theme:2.0.10" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-lumo-styles:1.5.0" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.polymerelements:iron-icon:2.1.0" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.polymerelements:iron-meta:2.1.1" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.polymerelements:iron-iconset-svg:2.2.1" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.polymerelements:iron-flex-layout:2.0.3" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.polymer:polymer:2.7.0" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.webcomponents:webcomponentsjs:1.2.6" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.webcomponents:shadycss:1.8.0" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-material-theme:2.0.10" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-material-styles:1.2.3" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-accordion-flow:2.0.0" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-accordion:1.0.1" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-details:1.0.1" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-themable-mixin:1.4.4" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-element-mixin:2.1.3" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-usage-statistics:2.0.9" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-development-mode-detector:2.0.4" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-button-flow:2.0.1" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-button:2.2.1" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-control-state-mixin:2.1.3" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-checkbox-flow:2.0.0" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-checkbox:2.2.10" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-combo-box-flow:3.0.2" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-combo-box:5.0.6" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-text-field:2.4.11" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.polymerelements:iron-resizable-behavior:2.1.1" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.polymerelements:iron-a11y-announcer:2.1.0" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.polymerelements:iron-list:2.0.19" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.polymerelements:iron-scroll-target-behavior:2.1.1" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.polymerelements:iron-a11y-keys-behavior:2.1.1" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-item:2.1.1" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-overlay:3.2.13" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.polymerelements:iron-overlay-behavior:2.3.4" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.polymerelements:iron-fit-behavior:2.2.1" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-custom-field-flow:3.0.1" level="project" />
    <orderEntry type="library" name="Maven: javax.servlet:javax.servlet-api:4.0.1" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-custom-field:1.0.6" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-date-picker-flow:2.0.2" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-date-picker:4.0.3" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.polymerelements:iron-media-query:2.1.0" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-details-flow:2.0.0" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-time-picker-flow:2.0.1" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-time-picker:2.0.2" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-select-flow:2.0.1" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-select:2.1.5" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-list-box:1.1.1" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-list-mixin:2.2.1" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-dialog-flow:2.0.0" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-dialog:2.2.1" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-form-layout-flow:2.0.1" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-form-layout:2.1.6" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-grid-flow:4.0.5" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.npm:vaadin__vaadin-mobile-drag-drop:1.0.0" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.npm:mobile-drag-drop:2.3.0-rc.1" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-grid:5.4.8" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-icons-flow:2.0.0" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-icons:4.3.1" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-iron-list-flow:2.0.0" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-list-box-flow:2.0.0" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-login-flow:2.0.0" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-login:1.0.1" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-ordered-layout-flow:2.0.0" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-ordered-layout:1.1.0" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-progress-bar-flow:2.0.1" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-progress-bar:1.1.2" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-radio-button-flow:2.0.0" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-radio-button:1.2.3" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-split-layout-flow:2.0.1" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-split-layout:4.1.1" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-tabs-flow:2.0.2" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-tabs:3.0.4" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-text-field-flow:2.0.3" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-upload-flow:2.0.0" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-upload:4.2.2" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-notification-flow:2.0.0" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-notification:1.4.0" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-app-layout-flow:2.0.2" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-app-layout:2.0.2" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-context-menu-flow:3.0.2" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-context-menu:4.3.12" level="project" />
    <orderEntry type="library" name="Maven: com.vaadin:vaadin-menu-bar-flow:1.0.1" level="project" />
    <orderEntry type="library" name="Maven: org.webjars.bowergithub.vaadin:vaadin-menu-bar:1.0.3" level="project" />
    <orderEntry type="library" name="Maven: org.springframework.boot:spring-boot-starter-web:2.1.8.RELEASE" level="project" />
    <orderEntry type="library" name="Maven: org.springframework.boot:spring-boot-starter-json:2.1.8.RELEASE" level="project" />
    <orderEntry type="library" name="Maven: com.fasterxml.jackson.core:jackson-databind:2.9.9.3" level="project" />
    <orderEntry type="library" name="Maven: com.fasterxml.jackson.core:jackson-annotations:2.9.0" level="project" />
    <orderEntry type="library" name="Maven: com.fasterxml.jackson.core:jackson-core:2.9.9" level="project" />
    <orderEntry type="library" name="Maven: com.fasterxml.jackson.datatype:jackson-datatype-jdk8:2.9.9" level="project" />
    <orderEntry type="library" name="Maven: com.fasterxml.jackson.datatype:jackson-datatype-jsr310:2.9.9" level="project" />
    <orderEntry type="library" name="Maven: com.fasterxml.jackson.module:jackson-module-parameter-names:2.9.9" level="project" />
    <orderEntry type="library" name="Maven: org.springframework.boot:spring-boot-starter-tomcat:2.1.8.RELEASE" level="project" />
    <orderEntry type="library" name="Maven: org.apache.tomcat.embed:tomcat-embed-core:9.0.24" level="project" />
    <orderEntry type="library" name="Maven: org.apache.tomcat.embed:tomcat-embed-el:9.0.24" level="project" />
    <orderEntry type="library" name="Maven: org.apache.tomcat.embed:tomcat-embed-websocket:9.0.24" level="project" />
    <orderEntry type="library" name="Maven: org.hibernate.validator:hibernate-validator:6.0.17.Final" level="project" />
    <orderEntry type="library" name="Maven: org.springframework:spring-web:5.1.9.RELEASE" level="project" />
    <orderEntry type="library" name="Maven: com.opencsv:opencsv:4.6" level="project" />
    <orderEntry type="library" name="Maven: org.apache.commons:commons-lang3:3.8.1" level="project" />
    <orderEntry type="library" name="Maven: org.apache.commons:commons-text:1.3" level="project" />
    <orderEntry type="library" name="Maven: commons-beanutils:commons-beanutils:1.9.3" level="project" />
    <orderEntry type="library" name="Maven: commons-logging:commons-logging:1.2" level="project" />
    <orderEntry type="library" name="Maven: commons-collections:commons-collections:3.2.2" level="project" />
    <orderEntry type="library" name="Maven: org.apache.commons:commons-collections4:4.2" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: org.springframework.boot:spring-boot-starter-test:2.1.8.RELEASE" level="project" />
    <orderEntry type="library" name="Maven: org.springframework.boot:spring-boot-starter:2.1.8.RELEASE" level="project" />
    <orderEntry type="library" name="Maven: org.springframework.boot:spring-boot-starter-logging:2.1.8.RELEASE" level="project" />
    <orderEntry type="library" name="Maven: ch.qos.logback:logback-classic:1.2.3" level="project" />
    <orderEntry type="library" name="Maven: ch.qos.logback:logback-core:1.2.3" level="project" />
    <orderEntry type="library" name="Maven: org.apache.logging.log4j:log4j-to-slf4j:2.11.2" level="project" />
    <orderEntry type="library" name="Maven: org.apache.logging.log4j:log4j-api:2.11.2" level="project" />
    <orderEntry type="library" name="Maven: org.slf4j:jul-to-slf4j:1.7.28" level="project" />
    <orderEntry type="library" name="Maven: javax.annotation:javax.annotation-api:1.3.2" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Maven: org.yaml:snakeyaml:1.23" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: org.springframework.boot:spring-boot-test:2.1.8.RELEASE" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: org.springframework.boot:spring-boot-test-autoconfigure:2.1.8.RELEASE" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: com.jayway.jsonpath:json-path:2.4.0" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: net.minidev:json-smart:2.3" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: net.minidev:accessors-smart:1.2" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: org.ow2.asm:asm:5.0.4" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: junit:junit:4.12" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: org.assertj:assertj-core:3.11.1" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: org.mockito:mockito-core:2.23.4" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: net.bytebuddy:byte-buddy-agent:1.9.16" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: org.objenesis:objenesis:2.6" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: org.hamcrest:hamcrest-core:1.3" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: org.hamcrest:hamcrest-library:1.3" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: org.skyscreamer:jsonassert:1.5.0" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: com.vaadin.external.google:android-json:0.0.20131108.vaadin1" level="project" />
    <orderEntry type="library" name="Maven: org.springframework:spring-core:5.1.9.RELEASE" level="project" />
    <orderEntry type="library" name="Maven: org.springframework:spring-jcl:5.1.9.RELEASE" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: org.springframework:spring-test:5.1.9.RELEASE" level="project" />
    <orderEntry type="library" scope="TEST" name="Maven: org.xmlunit:xmlunit-core:2.6.3" level="project" />
    <orderEntry type="library" name="Maven: javax.validation:validation-api:2.0.1.Final" level="project" />
    <orderEntry type="library" name="Maven: log4j:log4j:1.2.17" level="project" />
  </component>
</module>